%define path /usr/krb5
%define version 1.9m
%define release LTS4x.4
%define name krb5
%define __spec_install_post %{nil}

Summary: The Kerberos network authentication system.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Group: System Environment/Base
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Epoch: 21

Source0: %{name}-%{version}.tar.gz
Source10: krb5.conf
Source11: krb5.csh
Source12: krb5.sh
Source20: k5push
Source21: kcron
Source22: kcron-create
Source23: kcron-destroy
Source24: kcroninit
Source25: keytab-convert
Source26: kx509
Source27: kxlist
Source28: new-portal-ticket
Source40: kcommon.pm
Source50: man-aklog.1
Source51: man-k5push.1
Source52: man-kcron.1
Source53: man-kcron-create.1
Source54: man-keytab-convert.1


%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
Fermilab's release contains several additions that will possibly make 
it into the mainstream release, most important of which is kryptocard 
login.

%package libs-fermi
Summary: Fermilabs shared libraries used by Kerberos 5.
Group: System Environment/Libraries
Prereq: krb5-libs
Obsoletes: krb5-fermi
Epoch: 21

%description libs-fermi
Kerberos is a network authentication system. The krb5-libs package
contains the shared libraries needed by Kerberos 5. If you are using
Fermi Kerberos, you need to install this package.

%package workstation-fermi
Summary: Fermilabs Kerberos 5 programs.
Group: System Environment/Base
Requires: %{name}-libs-fermi = %{epoch}:%{version}-%{release}
Epoch: 21

%description workstation-fermi
Kerberos is a network authentication system. The krb5-workstation-fermi
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd) as well as kerberized versions of Telnet and FTP. If your
network uses Fermi Kerberos, this package should be installed on every
machine.


%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT

# Setup the directories
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 0755 -d $RPM_BUILD_ROOT/%{path}
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/sbin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/lib
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man5
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man8

# Now do everything in /etc
install -m 0644 %{SOURCE10} $RPM_BUILD_ROOT/etc/krb5.conf.krb5.default
install -m 0755 %{SOURCE11} $RPM_BUILD_ROOT/etc/profile.d/z_krb5.csh
install -m 0755 %{SOURCE12} $RPM_BUILD_ROOT/etc/profile.d/z_krb5.sh

# Here's the /bin directory
cp -rp bin $RPM_BUILD_ROOT/%{path}
install -m 0755 %{SOURCE20} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE21} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE22} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE23} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE24} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE25} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE26} $RPM_BUILD_ROOT/%{path}/bin
#install -m 0755 %{SOURCE27} $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 %{SOURCE28} $RPM_BUILD_ROOT/%{path}/bin

# and here's /sbin /include and /share
cp -rp sbin $RPM_BUILD_ROOT/%{path}
cp -rp include $RPM_BUILD_ROOT/%{path}
cp -rp share $RPM_BUILD_ROOT/%{path}

# we'll do /lib here
cp -rp lib $RPM_BUILD_ROOT/%{path}
install -m 0644 %{SOURCE40} $RPM_BUILD_ROOT/%{path}/lib

# Last, we'll do the man pages
cp -p man/*.1 $RPM_BUILD_ROOT/%{path}/man/man1
cp -p man/*.5 $RPM_BUILD_ROOT/%{path}/man/man5
cp -p man/*.8 $RPM_BUILD_ROOT/%{path}/man/man8
install -m 0644 %{SOURCE50} $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0644 %{SOURCE51} $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0644 %{SOURCE52} $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0644 %{SOURCE53} $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0644 %{SOURCE54} $RPM_BUILD_ROOT/%{path}/man/man1


#rm -f $RPM_BUILD_ROOT/%{path}/bin/krb5-config

%post libs-fermi
if ! grep -q '^%{path}/lib$' /etc/ld.so.conf ; then
	echo %{path}/lib >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun libs-fermi -p /sbin/ldconfig

%post workstation-fermi
if [ ! -f /etc/krb5.conf ] ; then
	cp -f /etc/krb5.conf.krb5.default /etc/krb5.conf
fi
if ! grep -q '^%{path}/man$' /etc/man.config ; then
	echo MANPATH %{path}/man >> /etc/man.config
fi
if ! grep -q "<console> 0600 /dev/console 0600 root.root" /etc/security/console.perms ; then
	echo "<console> 0600 /dev/console 0600 root.root" >> /etc/security/console.perms
fi

%files libs-fermi
%defattr(-,root,root)
%{path}/include
%{path}/lib
%{path}/share

%files workstation-fermi
%defattr(644,root,root)
%config(noreplace) /etc/krb5.conf.krb5.default
%defattr(0755,root,root)
%config /etc/profile.d/z_krb5.sh
%config /etc/profile.d/z_krb5.csh

%defattr(0755,root,root)
%{path}/bin/aklog
%{path}/bin/compile_et
%{path}/bin/ftp
%{path}/bin/gss-client
%{path}/bin/k5push
#%{path}/bin/kcron
#%{path}/bin/kcroninit
%{path}/bin/kdestroy
%{path}/bin/kinit
%{path}/bin/klist
%{path}/bin/kpasswd
%{path}/bin/krb5-config
%{path}/bin/krb524init
%{path}/bin/kvno
#%{path}/bin/kx509
#%{path}/bin/kxlist
%{path}/bin/rcp
%{path}/bin/rlogin
%{path}/bin/rsh
%{path}/bin/sclient
%{path}/bin/sim_client
%{path}/bin/telnet
%{path}/bin/uuclient
#%{path}/bin/v5passwd

%defattr(4755,root,root)
#%{path}/bin/kcron-create
#%{path}/bin/kcron-destroy
#%{path}/bin/keytab-convert
%{path}/bin/ksu
%{path}/bin/new-portal-ticket
%{path}/bin/v4rcp

%defattr(0755,root,root)
%{path}/sbin/kadmin
%{path}/sbin/ktutil
%{path}/sbin/login.krb5
%{path}/sbin/ftpd
%{path}/sbin/gss-server
%{path}/sbin/klogind
%{path}/sbin/krb5-send-pr
%{path}/sbin/kshd
%{path}/sbin/k5srvutil
%{path}/sbin/sserver
%{path}/sbin/sim_server
%{path}/sbin/telnetd
%{path}/sbin/uuserver

%defattr(0644,root,root)
%{path}/man/man1/*
%{path}/man/man5/*
%{path}/man/man8/*

%changelog
* Fri Jul 14 2006 Troy Dawson <dawson@fnal.gov> 1.9m-LTS4x.3
- made the profile scripts be the right ones

* Fri Jul 14 2006 Troy Dawson <dawson@fnal.gov> 1.9m-LTS4x.2
- Removed programs (kcron, kx509) that worn't compiled with
the right libraries

* Thu Jul 13 2006 Troy Dawson <dawson@fnal.gov> 1.9m-LTS4x.1
- Moved things to 1.9m

* Wed May 10 2006 Troy Dawson <dawson@fnal.gov> 1.9e-LTS4x.1
- Moved things to 1.9e

* Thu Apr 13 2006 Troy Dawson <dawson@fnal.gov> 1.9c-LTS4x.1
- Moved things to 1.9c

* Mon Aug 29 2005 Troy Dawson <dawson@fnal.gov> 1.8a-LTS4x.3
- Fixed spec files so upgrades work correctly
- removed the login-fermi package

* Mon Aug 29 2005 Troy Dawson <dawson@fnal.gov> 1.8a-LTS4x.2
- Changed the check to see if you have kerberos tickets before doing aklog

* Sat May 28 2005 Troy Dawson <dawson@fnal.gov>
- Added checked for AFS, and if so, do an aklog to the profile.d scripts

* Mon Feb 02 2004 Troy Dawson <dawson@fnal.gov>
- Fixed some suid properties on files.

* Tue Jan 06 2004 Troy Dawson <dawson@fnal.gov>
- Changed everything to use a BuildRoot, so it works for LTS

* Thu Dec 11 2003 Troy Dawson <dawson@fnal.gov>
- Upgraded it to version 1.8

* Wed Nov 05 2003 Troy Dawson <dawson@fnal.gov>
- Put in kx509 and kxlist

* Wed Oct 22 2003 Troy Dawson <dawson@fnal.gov>
- Put in the fixed ftpd, provided by Matt Crawford

* Tue Feb 25 2003 Troy Dawson <dawson@fnal.gov>
- Upgraded the kerberos to Fermi Kerberos 1.7.

* Fri Nov 22 2002 Troy Dawson <dawson@fnal.gov>
- Changed the profile.d scripts.  They now add the path, whether the kerberos
  path, whether the it is already in the users path or not.  This is to fix
  the ssh problem, where /usr/krb5/bin is too early in the path.

* Mon Aug 26 2002 Troy Dawson <dawson@fnal.gov>
- Changed the name for the files in profile.d, so it doesn't conflict with
  RedHats  krb5-workstation.

* Wed Jul 10 2002 Troy Dawson <dawson@fnal.gov>
- Changed the spec file so that the names matched those of redhat's rpms.

* Thu May 6 2002 Troy Dawson <dawson@fnal.gov>
- Updated the rpm to 1.6.  This also added k5push, and new-portal-ticket

* Thu Nov 1 2001 Troy Dawson <dawson@fnal.gov>
- I added kcroninit and kcommon to the rpm.

* Mon Aug 27 2001 Troy Dawson <dawson@fnal.gov>
- I upgraded the rpm to 1.3c

* Wed Jun 13 2001 Troy Dawson <dawson@fnal.gov>
- I added the rpm krb-fermi-login rpm

* Tue May 22 2001 Troy Dawson <dawson@fnal.gov>
- I changed the binaries to those of 1.3

* Wed May 9 2001 Troy Dawson <dawson@fnal.gov>
- I changed the spec file again so that it only makes one rpm, instead of 
  three.  I also changed the binaries to those of 1.2.

* Wed May 2 2001 Troy Dawson <dawson@fnal.gov>
- I changed the spec file so that everything is done by hand.  This 
  isn't as efficient for future changes, but it makes sure that everything
  is put in it's proper place as expected.

* Mon Apr 30 2001 Troy Dawson <dawson@fnal.gov>
- took the spec file from MIT's krb5 program for RedHat Linux 5.1 and
  did some major rewritting.
